commit: fb0c7ba4715a947972e4a3caf8895561c8d0b387
Author: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Sep 23 00:27:27 2020 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Wed Sep 23 00:29:43 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fb0c7ba4
net-im/biboumi: Version bump 9.9.
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
net-im/biboumi/Manifest | 1 +
net-im/biboumi/biboumi-9.0.ebuild | 99 +++++++++++++++++++++++++++++++++++++++
2 files changed, 100 insertions(+)
diff --git a/net-im/biboumi/Manifest b/net-im/biboumi/Manifest
index 121c0079..5e343e1d 100644
--- a/net-im/biboumi/Manifest
+++ b/net-im/biboumi/Manifest
@@ -1,3 +1,4 @@
DIST biboumi-8.5.tar.xz 142576 BLAKE2B
0e9284aa757f43a8436a7df5f78962663ca8cbf9b9a24dd5ea9c978e3240274b6f817b00169b478332f28b5f50a96833e10b7a3feec5e16b96638ec94daeb843
SHA512
36aa8c66a720faa8d9f0bd76fcd4ee382b7d21f6822de2a03582d03e8e7e440a4a08b1ff21e876e70e6b5b1012973c9936d85faecf4781a5d78e7d8b206c3ef6
DIST biboumi-9.0-rc1.tar.xz 161008 BLAKE2B
f1cf02d714a03633bcc8737d319f1c1c232b17edd6961ae9478189e85773b0cf28844e2d6173a63704353a371506cf1f4bc72a032434199e19d85a2383e9e261
SHA512
893d01e0b9d9606920b0cdecb45dec8a01b56701413d4633805db3dd5c32cd3bd2342c31d043beb34ac73c664dd968adc1f5e90a555369d8e6c78c4034bd1f20
+DIST biboumi-9.0.tar.xz 161192 BLAKE2B
27c19f5c44e23caae07bd579b01d663e73cd8b432203ac95ae77e651936eea7cc443f389e589acebe5b36c32e96f215fdf0a86c97193726d601b53b709a2d66e
SHA512
cfaacd831b56031906922472275c55fd6f1a5307ebe54959d21e3799ad4612499e8beeb34e8736df9eabc9fec1a861d17567250d64f316ace47395fd6c8f3c18
DIST biboumi-9.0_pre20200509.tar.bz2 153874 BLAKE2B
1ed805ebf5af1c82e350accf3375926c27c396880cedc7bceb7aa7066ac9b2958968562416dc9a9a56433e67db2dd47639f259c1a06ce939e082cfef68e0ea18
SHA512
52784f313da1bf0cfc61b7ad6e2feb5c86d55ee940026334713beb79f756e45fd78b3c1913e057ce59d8ab6db6b74de8d5bd8c866aef8ce02a56a4acc6ddcd83
diff --git a/net-im/biboumi/biboumi-9.0.ebuild
b/net-im/biboumi/biboumi-9.0.ebuild
new file mode 100644
index 00000000..6df3ce67
--- /dev/null
+++ b/net-im/biboumi/biboumi-9.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake fcaps
+
+MY_PV="${PV/_/-}"
+
+DESCRIPTION="XMPP gateway to IRC"
+HOMEPAGE="https://biboumi.louiz.org/"
+SRC_URI="https://git.louiz.org/biboumi/snapshot/biboumi-${MY_PV}.tar.xz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+idn logrotate postgres +sqlite +ssl systemd udns"
+
+DEPEND="
+ dev-libs/expat
+ virtual/libiconv
+ sys-apps/util-linux
+ sqlite? ( dev-db/sqlite )
+ postgres? ( dev-db/postgresql:* )
+ idn? ( net-dns/libidn )
+ udns? ( net-libs/udns )
+ ssl? ( dev-libs/botan:2 )
+ !ssl? ( dev-libs/libgcrypt )
+ systemd? ( sys-apps/systemd )
+"
+BDEPEND="dev-python/sphinx"
+RDEPEND="
+ ${DEPEND}
+ acct-user/biboumi
+"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+DOCS=( README.rst CHANGELOG.rst doc/user.rst )
+
+# Allow biboumi to run an identd on port 113.
+FILECAPS=( cap_net_bind_service+ep usr/bin/biboumi )
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! use systemd; then # Don't install biboumi.service.
+ sed -i '/DESTINATION lib\/systemd\/system/d' CMakeLists.txt ||
die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_BOTAN="$(usex ssl)"
+ -DWITH_LIBIDN="$(usex idn)"
+ -DWITH_SYSTEMD="$(usex systemd)"
+ -DWITH_UDNS="$(usex udns)"
+ -DWITH_SQLITE3="$(usex sqlite)"
+ -DWITH_POSTGRESQL="$(usex postgres)"
+
+ -DWITHOUT_SYSTEMD="$(usex systemd no yes)"
+ -DWITHOUT_POSTGRESQL="$(usex postgres no yes)"
+ ) # The WITHOUT_*
is really needed.
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ cmake_build man
+}
+
+src_install() {
+ cmake_src_install
+
+ if ! use systemd; then
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ fi
+
+ if use logrotate; then
+ insinto etc/logrotate.d
+ if use systemd; then
+ newins "${FILESDIR}/${PN}.logrotate.systemd" "${PN}"
+ else
+ newins "${FILESDIR}/${PN}.logrotate.openrc" "${PN}"
+ fi
+ fi
+
+ diropts --owner=biboumi --group=biboumi --mode=750
+ if use sqlite; then
+ keepdir var/lib/biboumi
+ fi
+ keepdir var/log/biboumi
+
+ insinto etc/biboumi
+ insopts --group=biboumi --mode=640
+ newins conf/biboumi.cfg biboumi.cfg.example
+}